=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-crypto=yes

override_dh_installdeb:
	dh_apparmor --profile-name=usr.sbin.tcpdump -ptcpdump
	dh_installdeb
