## tcpdump 4.9.3

=== debian/changelog ===
tcpdump (4.9.3-4) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 31 Dec 2019 19:24:04 +0100

tcpdump (4.9.3-3) unstable; urgency=medium

  * Minor packaging fixes courtesy of the Janitor bot and lintian-brush:
    + Use secure URI in debian/watch.
    + Use secure URI in Homepage field.
    + Bump debhelper from old 11 to 12.
    + Set debhelper-compat version in Build-Depends.
    + Re-export upstream signing key without extra signatures.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Dec 2019 13:56:42 +0100

tcpdump (4.9.3-2) unstable; urgency=medium

  * Disable failing IKEv2 test yet again to fix build on ppc64el (again)
    (closes: #942171).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 11 Oct 2019 20:48:04 +0200

tcpdump (4.9.3-1) unstable; urgency=medium

  * New upstream release, with fixes for 24 different CVEs (closes: #941698).
  * Build-depend on libpcap >= 1.9.1 to make all build-time tests pass.
  * Re-enable IKEv2 test.
  * Bump Standards-Version to 4.4.1.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 10 Oct 2019 21:31:38 +0200

tcpdump (4.9.3~git20190901-2) unstable; urgency=medium

  * Disable failing IKEv2 test again to fix build on ppc64el.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 07 Sep 2019 12:14:43 +0200

tcpdump (4.9.3~git20190901-1) unstable; urgency=low

  * New upstream snapshot from the tcpdump-4.9 branch:
    + Includes fix for CVE-2017-16808 (closes: #881862).
    + Fixes ESP decryption on ppc64el (and others), re-enable tests.
  * Drop root privileges by default (closes: #935112):
    + debian/rules: Configure --with-user=tcpdump.
    + debian/tcpdump.post{inst,rm}: Create/delete a 'tcpdump' system group
      and user.
    + debian/control: Add dependency on adduser.
    + debian/patches/drop-privs-after-opening-savefile.diff: New patch
      (from Fedora) to drop root privileges *after* opening the savefile
      when possible, to alleviate possible inconvenience if the target
      directory is not writable by user tcpdump.
    + debian/patches/drop-privs-silently.diff: New patch (from Fedora) to
      drop root privileges silently.
    + debian/usr.sbin.tcpdump: Add chown capability, and update rules
      about device discovery.
    + debian/NEWS: Mention how to run tcpdump as root.
  * Bump Standards-Version to 4.4.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Sep 2019 13:05:24 +0200

tcpdump (4.9.2-3) unstable; urgency=medium

  [ Jamie Strandboge ]
  * debian/usr.sbin.tcpdump: drop 'capability sys_module' since we already
    have 'net_admin' and network module loading (which happens with -D) is
    allowed with 'net_admin' (LP: #1759029) (closes: #894161)

  [ Romain Francoise ]
  * Switch to debhelper compatibility level 11.
  * Bump Standards-Version to 4.1.3.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 31 Mar 2018 22:22:36 +0200

tcpdump (4.9.2-2) unstable; urgency=medium

  * Use new URLs on salsa.debian.org for Vcs-* fields.
  * Bump Standards-Version to 4.1.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 31 Dec 2017 15:53:41 +0100
