=== debian/control ===
Source: tcpdump
Section: net
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-apparmor,
               dpkg-dev (>= 1.16.1~),
               libpcap0.8-dev (>= 1.9.1),
               libssl-dev
Standards-Version: 4.4.1
Homepage: https://www.tcpdump.org/
Vcs-Browser: https://salsa.debian.org/rfrancoise/tcpdump
Vcs-Git: https://salsa.debian.org/rfrancoise/tcpdump.git

Package: tcpdump
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
	 adduser
Breaks: apparmor-profiles-extra (<< 1.12~)
Replaces: apparmor-profiles-extra (<< 1.12~)
Suggests: apparmor (>= 2.3)
Multi-Arch: foreign
Description: command-line network traffic analyzer
 This program allows you to dump the traffic on a network. tcpdump
 is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS
 BGP, RIP, PIM, DVMRP, IGMP, SMB, OSPF, NFS and many other packet
 types.
 .
 It can be used to print out the headers of packets on a network
 interface, filter packets that match a certain expression. You can
 use this tool to track down network problems, to detect attacks
 or to monitor network activities.
