=== debian/changelog ===
tcpdump (4.99.0-2+deb11u1) bullseye; urgency=medium

  * Minor AppArmor profile updates (debian/usr.bin.tcpdump):
    + Grant access to *.cap (closes: #989433).
    + Account for numerical suffix in filenames added by -W (closes: #1010688).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 22 May 2022 18:22:50 +0200

tcpdump (4.99.0-2) unstable; urgency=medium

  * Add autopkgtest support, running the upstream test suite.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 15 Jan 2021 23:41:47 +0100

tcpdump (4.99.0-1) unstable; urgency=medium

  * New upstream release.
  * Mention in debian/NEWS that tcpdump is now installed to /usr/bin
    instead of /usr/sbin.
  * Rename AppArmor profile to match new binary location and add
    maintscript stanza to move the previous conffile if present.
  * Temporarily disable tests that require the just-released libpcap 1.10,
    we don't want to tie the migration of the two just before the bullseye
    freeze.
  * Drop unused lintian override.
  * Bump Standards-Version to 4.5.1.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 03 Jan 2021 21:28:16 +0100

tcpdump (4.9.3-7) unstable; urgency=high

  * Cherry-pick commit 32027e1993 from the upstream tcpdump-4.9 branch to fix
    untrusted input issue in the PPP printer (CVE-2020-8037, closes: #973877).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 07 Nov 2020 13:19:14 +0100

tcpdump (4.9.3-6) unstable; urgency=medium

  [ Simon Deziel ]
  * debian/usr.sbin.tcpdump: use profile name specifier instead of
    '/usr/sbin/tcpdump'.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 28 May 2020 19:23:57 +0200

tcpdump (4.9.3-5) unstable; urgency=medium

  * Minor packaging fixes courtesy of the Janitor bot and lintian-brush:
    + Set upstream metadata fields: Bug-Submit, Repository, Repository-
      Browse.
  * Bump Standards-Version to 4.5.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 09 May 2020 20:42:57 +0200
