=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                dpkg-dev (>= 1.16.1~),
                libpcap0.8-dev (>= 1.9.1),
                libssl-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tcpdump
 Vcs-Git: https://salsa.debian.org/rfrancoise/tcpdump.git
 
 Package: tcpdump
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-	 adduser
+Depends: adduser,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: apparmor-profiles-extra (<< 1.12~)
 Replaces: apparmor-profiles-extra (<< 1.12~)
 Suggests: apparmor (>= 2.3)
