=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dpkg-dev (>= 1.16.1~),
                libpcap0.8-dev (>= 1.9.1),
                libssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tcpdump
 Vcs-Git: https://salsa.debian.org/rfrancoise/tcpdump.git
