## tcpdump 4.99.2

=== debian/changelog ===
tcpdump (4.99.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Jan 2023 12:34:39 +0100

tcpdump (4.99.2-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable all tests.
  * Bump Standards-Version to 4.6.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Jan 2023 18:19:40 +0100

tcpdump (4.99.1-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 21 May 2022 11:08:38 +0200

tcpdump (4.99.1-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 02 Nov 2021 16:00:10 +0100
