=== debian/changelog ===
tcpdump (4.99.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop Hurd build patch, which doesn't seem to be right anymore.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Jan 2023 18:23:25 +0100
