=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dpkg-dev (>= 1.16.1~),
                libpcap0.8-dev (>= 1.9.1),
                libssl-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/tcpdump
