## tcpdump 4.99.4

=== debian/changelog ===
tcpdump (4.99.4-3ubuntu4.25.04.1) plucky; urgency=medium

  * Fixes segfault when running as the root user. (LP: #2071891)
    - d/p/drop-privs-after-opening-savefile.diff

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Wed, 10 Sep 2025 15:28:48 +0000

tcpdump (4.99.4-3ubuntu4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:50:51 +0200

tcpdump (4.99.4-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:18:58 +0000

tcpdump (4.99.4-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 01:24:11 +0000

tcpdump (4.99.4-3ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/usr.sbin.tcpdump: allow tcpdump printing to stdout/stderr
      when running from a container (LP #1667016)
  * Dropped:
    - d/usr.sbin.tcpdump: Allow pcapng files (LP #2024017)
      [In 4.99.4-3]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 01 Aug 2023 11:49:37 -0300

tcpdump (4.99.4-3) unstable; urgency=medium

  * Allow *.pcapng in AppArmor policy, thanks to Chris Kuethe for the
    patch (closes: #1039993).
  * Pick up patch from upstream PR#812 to avoid the call to droproot()
    altogether if called with `-Z root', thanks to Tj (closes: #1035842).
  * Override 'spelling-error-in-binary' and move 'set -e' inside maintscripts.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 22 Jul 2023 17:23:56 +0200

tcpdump (4.99.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Jun 2023 17:29:12 +0200

tcpdump (4.99.4-1) experimental; urgency=medium

  * New upstream release.
  * Mark Debian-specific patches as "Forwarded: not-needed" in metadata.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 10 Apr 2023 16:57:18 +0200

tcpdump (4.99.3-1ubuntu2) mantic; urgency=medium

  [ Chris Kuethe ]
  * d/usr.sbin.tcpdump: Allow pcapng files (LP: #2024017)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Jul 2023 18:07:50 -0300

tcpdump (4.99.3-1ubuntu1) lunar; urgency=medium

  * debian/usr.sbin.tcpdump: allow tcpdump printing to stdout/stderr when
    running from a container (LP: #1667016)

 -- Georgia Garcia <georgia.garcia@canonical.com>  Fri, 10 Feb 2023 15:17:18 -0300
