=== debian/tests/control ===
Test-Command: env TCPDUMP_BIN=/usr/bin/tcpdump ./tests/TESTrun
Restrictions: build-needed
