## tcpdump 4.99.5

=== debian/changelog ===
tcpdump (4.99.5-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:35:37 +0000

tcpdump (4.99.5-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2115467). Remaining changes:
    - debian/usr.sbin.tcpdump: allow tcpdump printing to stdout/stderr
      when running from a container (LP #1667016)

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Thu, 26 Jun 2025 21:16:30 -0500

tcpdump (4.99.5-2) unstable; urgency=medium

  * Transfer ownership to pkg-security team.
  * Set Vcs-* fields to new locations in Debian group.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 09 Feb 2025 12:03:02 +0100

tcpdump (4.99.5-1) unstable; urgency=low

  * New upstream release.
  * Drop upstream patch related to #1035842, now included.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Sep 2024 12:49:43 +0200

tcpdump (4.99.4-5) unstable; urgency=medium

  * Avoid getpwnam(NULL) when called with `-Z root', thanks to Rodney
    Dawes <dobey@ubuntu.com> for the report and patch (closes: #1078771).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 23 Aug 2024 18:53:46 +0200

tcpdump (4.99.4-4) unstable; urgency=medium

  * debian/watch: switch to .tar.xz URLs as upstream homepage no longer
    lists the .tar.gz.
  * Mark latest patch as "Forwarded: not-needed".
  * Bump Standards-Version to 4.7.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 28 Apr 2024 17:07:15 +0200
