=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: tcpdump
 Section: net
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dpkg-dev (>= 1.16.1~),
                libpcap0.8-dev (>= 1.9.1),
                libssl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.tcpdump.org/
-Vcs-Browser: https://salsa.debian.org/rfrancoise/tcpdump
-Vcs-Git: https://salsa.debian.org/rfrancoise/tcpdump.git
+Vcs-Browser: https://salsa.debian.org/debian/tcpdump
+Vcs-Git: https://salsa.debian.org/debian/tcpdump.git
 
 Package: tcpdump
 Architecture: any
