=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: tcpdump
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-installsysusers,
                dh-apparmor,
                dpkg-dev (>= 1.16.1~),
-               libpcap0.8-dev (>= 1.9.1),
+               libpcap0.8-dev,
                libssl-dev
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/debian/tcpdump
 Vcs-Git: https://salsa.debian.org/debian/tcpdump.git
 
 Package: tcpdump
 Architecture: any
-Depends: adduser,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: apparmor-profiles-extra (<< 1.12~)
 Replaces: apparmor-profiles-extra (<< 1.12~)
